Subject: Re: bug#30760: guix system init broken on non GuixSD

From: Tomáš Čech <[email-masked]>
Date: Sat, 10 Mar 2018 22:42:28 +0100

On Sat, Mar 10, 2018 at 12:19:52AM +0100, Ludovic Courtès wrote:
>Danny Milosavljevic <[email-masked]> skribis:
>
>> [huge build]
>>> The current tradeoff is to make that diagnostic based on the running
>>> kernel, even if it’s an approximation.
>>
>> Ah, good point.
>>
>>> If that’s fine with you I’d like to fix this bug with the conservative
>>> patch below.
>>
>> Sure, looks good.
>
>Pushed as 8d5c14edf5a6d01f859b1aa00c836ffdb5ddecf4.

I'm afraid that now it leads to:

Backtrace:
         12 (primitive-load "/usr/bin/guix")
In guix/ui.scm:
 1501:12 11 (run-guix-command _ . _)
In ice-9/boot-9.scm:
   829:9 10 (catch _ _ #<procedure 7fa007c66420 at guix/ui.scm:552…> …)
   829:9  9 (catch _ _ #<procedure 7fa007c66438 at guix/ui.scm:660…> …)
In guix/scripts/system.scm:
  1180:8  8 (_)
  1052:6  7 (process-action _ _ _)
In guix/store.scm:
 1443:24  6 (run-with-store _ _ #:guile-for-build _ #:system _ # _)
In guix/scripts/system.scm:
 1065:13  5 (_ _)
   764:4  4 (perform-action init #<<operating-system> kernel: #<pa…> …)
In srfi/srfi-1.scm:
   640:9  3 (for-each #<procedure 55b8f874b9c0 at guix/scripts/sys…> …)
In gnu/system/linux-initrd.scm:
   360:4  2 (check-device-initrd-modules "/dev/nvme0n1p2" ("ahci" …) …)
In ice-9/boot-9.scm:
   829:9  1 (catch system-error #<procedure 7fa004522f60 at gnu/sy…> …)
In gnu/system/linux-initrd.scm:
   361:6  0 (_)

gnu/system/linux-initrd.scm:361:6: known-module-aliases: unbound variable

This is part of my config:

(initrd (lambda (file-system . rest)
          (raw-initrd file-systems
                      #:linux linux-x1-sw1
                      #:linux-modules '()
                      #:helper-packages '(linux-firmware-initrd-x1-sw1)
                      #:mapped-devices mapped-devices)))

I don't have any modules to be loaded in initrd, kernel is compiled
using my configuration which fits my needs and follows the HW it will run on.

S_W